Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.httptool
Class HttpToolkit

    java.lang.Object
      things.thinger.service.httptool.HttpToolkit

    public class HttpToolkit

extends java.lang.Object

Common merge tags for pages.

Version:
  1.0

  Version History

      EPG - Initial - 17 NOV 07

Author:
  Erich P. Gatejen

Constructor Summary
`HttpToolkit()`

Method Summary
`static void` | `feebleReply(java.lang.String message, java.io.OutputStream destination)` Make a feeble attempt to reply.
`static void` | `feebleReply(java.lang.String message, java.io.OutputStream destination, java.lang.String status)` Make a feeble attempt to reply.
`static java.lang.String` | `htmlString(java.lang.String in)` Make a string HTML friendly.
`static void` | `respondWithHead(Head headResult, java.io.OutputStream bos)` Respond to an HTTP HEAD.
`static void` | `respondWithPage(java.lang.String page, java.io.OutputStream bos)` Respond with HTTP.
`static void` | `respondWithPage(java.lang.String page, java.io.OutputStream bos, java.lang.String status)` Respond with HTTP.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpToolkit

    public HttpToolkit()

Method Detail

### respondWithPage

    public static void respondWithPage(java.lang.String page,
                                       java.io.OutputStream bos)
                                throws java.lang.Throwable

  Respond with HTTP. I could speed this up significantly by using the stream escaping, but that's just too much for this little GUI.

  Parameters:
    `page` - The page.
    `bos` - output stream.
  Throws:
    `java.lang.Throwable`

### respondWithPage

    public static void respondWithPage(java.lang.String page,
                                       java.io.OutputStream bos,
                                       java.lang.String status)
                                throws java.lang.Throwable

  Respond with HTTP. I could speed this up significantly by using the stream escaping, but that's just too much for this little GUI.

  Parameters:
    `page` - The page.
    `bos` - output stream.
    `status` - status string for HTTP. It should be the code, whitespace, and then test. For example: 200 OK
  Throws:
    `java.lang.Throwable`

### respondWithHead

    public static void respondWithHead(Head headResult,
                                       java.io.OutputStream bos)
                                throws java.lang.Throwable

  Respond to an HTTP HEAD.

  Parameters:
    `headResult` - The head result.
    `bos` - output stream.
  Throws:
    `java.lang.Throwable`

### feebleReply

    public static void feebleReply(java.lang.String message,
                                   java.io.OutputStream destination)

  Make a feeble attempt to reply. This should be used for errors only! All exceptions are ignored.

  Parameters:
    `message` - what to say.
    `destination` - where to write it.

### feebleReply

    public static void feebleReply(java.lang.String message,
                                   java.io.OutputStream destination,
                                   java.lang.String status)

  Make a feeble attempt to reply. This should be used for errors only! All exceptions are ignored.

  Parameters:
    `message` - what to say.
    `destination` - where to write it.
    `status` - status string for HTTP. It should be the code, whitespace, and then test. For example: 200 OK

### htmlString

    public static java.lang.String htmlString(java.lang.String in)
                                       throws java.lang.Throwable

  Make a string HTML friendly.

  Parameters:
    `in` - the string to convert.
  Returns:
    the HTML friendly version.
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.